Courses API

The Courses API is for administering Course records in Skills Base which includes adding, updating, and retrieving records.

Endpoint

/2.0/courses

Objects used by this API

Name

Data type

Read only

Description

id

integer

Yes

The unique identifier for the record, used to reference the record in other API interactions.

name

string

No

The Course name

url

string

No

The Course URL

last_update

date

Yes

The date the record was last updated

Methods

GET /courses

Returns all Courses in the instance.

GET /courses/:id

Returns a Course identified by the given id

POST /courses

Creates a new Course record.

The following parameters are valid. Other parameters that do not appear in this list will be accepted but silently ignored. 

Name

Required

name

Yes

url

Yes

PUT /courses/:id

Updates an existing Course